Bug 437574 - Review Request: ruby-pg - A Ruby interface for the PostgreSQL database engine
Review Request: ruby-pg - A Ruby interface for the PostgreSQL database engine
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 18:38 EDT by Devrim GUNDUZ
Modified: 2010-04-30 13:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 13:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Devrim GUNDUZ 2008-03-14 18:38:45 EDT
Spec URL: 

http://developer.postgresql.org/~devrim/rpms/other/ruby-pg/ruby-pg.spec

SRPM URL: http://developer.postgresql.org/~devrim/rpms/other/ruby-pg/ruby-pg-0.7.9.2008.02.05-1.f8.src.rpm

Description: 
ruby-pg is a Ruby interface to the PostgreSQL Relational Database
Management System. ruby-pg is a fork of the  unmaintained
ruby-postgres project. ruby-pg is API-compatible (a drop-in
replacement) with ruby-postgres.
Comment 1 Jon Ciesla 2008-10-10 09:49:01 EDT
rpmlint on SRPM is clean.

rpmlint on RPMS:

1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[limb@fawkes SPECS]$ rpmlint -i ../RPMS/i386/ruby-pg-*
ruby-pg.i386: W: incoherent-version-in-changelog 0.7.9.2008.02.05 0.7.9.2008.02.05-1.fc9
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

ruby-pg.i386: W: obsolete-not-provided ruby-postgres
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

Fix both.

Though indicated to by under the Ruby license, in the spec and on the site, it includes a few copies of the GPL.  Why is this?  It's not a blocker, just odd.

Per Ruby guidelines:
----
Each Ruby package must indicate the Ruby ABI version it depends on with a line like

Requires: ruby(abi) = 1.8

Ruby packages must require ruby at build time with a BuildRequires: ruby, and may indicate the minimal ruby version they need for building. 
----


- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


Fix, or explain why this wouldn't be necessary.


- MUST: Header files must be in a -devel package.

Are the .h files in ext/ not useful for this purpose?



Otherwise, no other blockers on full review.
Comment 2 Jon Ciesla 2009-03-31 09:16:03 EDT
Ping?
Comment 3 Devrim GUNDUZ 2009-03-31 09:47:01 EDT
Here are the new sets:

SRPM:

http://www.gunduz.org/temp/ruby-pg-0.7.9.2008.08.17-1.f9.src.rpm

SPEC:
http://www.gunduz.org/temp/ruby-pg.spec

The only issues I saw is:

ruby-pg.i386: W: incoherent-version-in-changelog 0.7.9.2008.08.17-1 ['0.7.9.2008.08.17-1.f9', '0.7.9.2008.08.17-1.f9']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

I think we can ignore this, right?

ruby-pg.i386: W: obsolete-not-provided ruby-postgres
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

This package is provided in Fedora. What does this message mean?

Thanks.
Comment 4 Jon Ciesla 2009-03-31 10:28:54 EDT
ruby-pg.i386: W: obsolete-not-provided ruby-postgres
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

This is all I still see.  What it means is that this package Obsoletes another but does not Provide it.  If this package is to replace ruby-postgres, you need

Obsoletes: ruby-postgres <= the current fedora version of that pacakge
Provides: ruby-postgres

And to do 

http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

for ruby-postgres, or in this case have the owner do it.

If it is not meant to replace it, remove the Obsoletes.

What about the header files in ext?
Comment 5 Jon Ciesla 2009-04-14 16:10:58 EDT
Ping?
Comment 6 Jon Ciesla 2010-04-29 15:57:58 EDT
Devrim, do you still have any interest in this package?  If so, I'm happy to continue, but if not, we should probably close this.
Comment 7 Devrim GÜNDÜZ 2010-04-30 13:05:26 EDT
I'm not that much interested :(
Comment 8 Jon Ciesla 2010-04-30 13:41:48 EDT
Ok, closing.  If you reconsider someday, reopen and nag me. :)

Note You need to log in before you can comment on or make changes to this bug.